#!/bin/env ruby
# frozen_string_literal: true

Bundler.require(:default, :development)
require 'slim/include'
require './functions'
use BetterErrors::Middleware

DB = Sequel.connect('sqlite://database.db')

set :port, 8091
set :nav, [
  { title: 'Χρήστες', href: '/users' }
]

get '/users' do
  l = {}
  l[:users] = DB[:user].all
  slim :users, locals: l
end

